%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           ceph-deploy
Version:        1.5.24
Release:        1%{?dist}
Summary:        Admin and deploy tool for Ceph

License:        MIT
URL:            https://github.com/ceph/ceph-deploy

Source0:        https://pypi.python.org/packages/source/c/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

# Tox tests requirements
BuildRequires:  openssh-clients
BuildRequires:  pytest
BuildRequires:  python-mock
BuildRequires:  python-remoto
BuildRequires:  python-tox

Requires:       python-remoto

%description
An easy to use admin tool for deploy ceph storage clusters.


%prep
%setup -q


%build
CEPH_DEPLOY_NO_VENDOR=1 %{__python2} setup.py build


%install
CEPH_DEPLOY_NO_VENDOR=1 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
# Tests are currently broken:
#   http://tracker.ceph.com/issues/8825
CEPH_DEPLOY_NO_VENDOR=1 tox -e py27-novendor || :


%files
%doc LICENSE README.rst
%{_bindir}/ceph-deploy
%{python2_sitelib}/*


%changelog
* Mon May 18 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.24-1
- update to ceph-deploy 1.5.24

* Fri Apr 10 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.23-1
- update to ceph-deploy 1.5.23 (CVE-2015-3010) (RHBZ #1210106, #1210705,
  #1210706)

* Tue Mar 24 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.22-1
- update to ceph-deploy 1.5.22 (RHBZ #1201064)
- add tox.ini to the packaging
- run tox tests, but unconditionally pass them for now

* Wed Dec 10 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.21-1
- update to ceph-deploy-1.5.21

* Sat Nov 15 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.20-1
- update to ceph-deploy-1.5.20 (RHBZ #1148305)

* Fri Sep 12 2014 Federico Simoncelli <fsimonce@redhat.com> 1.5.15-1
- update to ceph-deploy-1.5.15

* Thu Sep  4 2014 Federico Simoncelli <fsimonce@redhat.com> 1.5.13-1
- update to ceph-deploy-1.5.13

* Fri Aug  1 2014 Federico Simoncelli <fsimonce@redhat.com> 1.5.10-1
- update to ceph-deploy-1.5.10

* Wed Jul 16 2014 Federico Simoncelli <fsimonce@redhat.com> 1.5.9-1
- update to ceph-deploy-1.5.9

* Mon Jul 14 2014 Federico Simoncelli <fsimonce@redhat.com> 1.5.8-1
- update to ceph-deploy-1.5.8

* Wed Jul 2 2014 Federico Simoncelli <fsimonce@redhat.com> 1.5.7-1
- fix python sitelib macros
- update to ceph-deploy-1.5.7

* Tue Jul 1 2014 Federico Simoncelli <fsimonce@redhat.com> 1.5.6-1
- initial build
